if [ ! -f ./etc/ssh/ssh_host_ed25519_key ]
then
    echo "Generating sqlproxy SSHD keys"
    ssh-keygen -f ./ -A
fi

read -r -p "Auto generate client keys+config? [Y/n] " GEN_KEYS
case $GEN_KEYS in
    [yY]*)
        mkdir -p ~/.ssh
        read -r -p "Key Name (should not already exist in ~/.ssh): " KEY_NAME
        ssh-keygen -t ed25519 -f ~/.ssh/$KEY_NAME.key
        read -r -p "Target Host: " HOST_NAME
        echo -ne "\n\nHost $HOST_NAME\n  User sqlproxy\n  IdentityFile ~/.ssh/$KEY_NAME.key" >> ~/.ssh/config
        cat ~/.ssh/$KEY_NAME.key.pub >> ./etc/ssh/.ssh/authorized_keys
        break;;
       *) echo "Not generating client ssh key.\nPlease put your desired public keys into ./etc/ssh/.ssh/authorized_keys";;
esac
